freebsd_instance:
  image_family: freebsd-14-3
  cpu: 1

env:
  CXXFLAGS: -std=c++14 -Wall -Wextra -O2

task:
  install_script:
    - pkg install -y autoconf automake pkgconf
  build_script:
    - ./autogen.sh
    - ./configure --with-boost=no
    - make
    - make check
